package com.prolog.cs.biz.inbound.dto.failure;

import com.prolog.cs.biz.inbound.dto.PageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * 异常单条件查询对象
 * 
 * @author Xiong
 *
 */
@ApiModel
public class ExceptionHQueryVO extends PageParam implements Serializable {

	private static final long serialVersionUID = -668675251945764053L;

	@ApiModelProperty(value = "异常单主键id(查询单条时使用)")
	private String exceptionHeaderId;

	@ApiModelProperty(value = "企业id")
	private String enterpriseId;

	@ApiModelProperty(value = "自动单号(模糊)", hidden = true)
	private String autoBillNum;

	@ApiModelProperty(value = "手工单号(模糊)")
	private String customBillNum;

	@ApiModelProperty(value = "收货单id")
	private String rcvHeaderId;

	@ApiModelProperty(value = "状态", hidden = true)
	private String status;

	@ApiModelProperty(value = "包含主键id列表", hidden = true)
	private List<String> includeIds;

	@ApiModelProperty(value = "排除主键id列表", hidden = true)
	private List<String> excludeIds;

	@ApiModelProperty(value = "货主id")
	private String mtlOwnerId;

	@ApiModelProperty(value = "仓库id")
	private String warehouseId;

	@ApiModelProperty(value = "收货类型", hidden = true)
	private String rcvType;

	@ApiModelProperty(value = "收货10/验收20/质检30/上架40")
	private String nodeType;

//	@ApiModelProperty(value = "(*)收货单号", position = -1)
//	private String rcvNo;
//	// 单据编号
//	@ApiModelProperty(value = "(*)单据编号", position = -1)
//	private String billNo;
//	// 商品助记码
//	@ApiModelProperty(value = "(*)商品助记码", position = -1)
//	private String itemZjm;
//	// 单位助记码
//	@ApiModelProperty(value = "(*)单位助记码(客户/供应商/其他仓(oms下发))", position = -1)
//	private String shipperZjm;
//
//	@ApiModelProperty(value = "(*)开始时间", position = -1)
//	private Date startTime;
//
//	@ApiModelProperty(value = "(*)结束时间", position = -1)
//	private Date endTime;

	public String getExceptionHeaderId() {
		return exceptionHeaderId;
	}

	public void setExceptionHeaderId(String exceptionHeaderId) {
		this.exceptionHeaderId = exceptionHeaderId;
	}

	public String getEnterpriseId() {
		return enterpriseId;
	}

	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public String getAutoBillNum() {
		return autoBillNum;
	}

	public void setAutoBillNum(String autoBillNum) {
		this.autoBillNum = autoBillNum;
	}

	public String getCustomBillNum() {
		return customBillNum;
	}

	public void setCustomBillNum(String customBillNum) {
		this.customBillNum = customBillNum;
	}

	public String getRcvHeaderId() {
		return rcvHeaderId;
	}

	public void setRcvHeaderId(String rcvHeaderId) {
		this.rcvHeaderId = rcvHeaderId;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public List<String> getIncludeIds() {
		return includeIds;
	}

	public void setIncludeIds(List<String> includeIds) {
		this.includeIds = includeIds;
	}

	public List<String> getExcludeIds() {
		return excludeIds;
	}

	public void setExcludeIds(List<String> excludeIds) {
		this.excludeIds = excludeIds;
	}

	public String getMtlOwnerId() {
		return mtlOwnerId;
	}

	public void setMtlOwnerId(String mtlOwnerId) {
		this.mtlOwnerId = mtlOwnerId;
	}

	public String getWarehouseId() {
		return warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getRcvType() {
		return rcvType;
	}

	public void setRcvType(String rcvType) {
		this.rcvType = rcvType;
	}

	public String getNodeType() {
		return nodeType;
	}

	public void setNodeType(String nodeType) {
		this.nodeType = nodeType;
	}

}
